LibreOffice: ChartPieSegmentProperties Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
ChartPieSegmentProperties Service Reference

specifies all the properties for the graphic object of a pie segment. More...

`import <ChartPieSegmentProperties.idl;`

Inheritance diagram for ChartPieSegmentProperties:

## Included Services
service | com::sun::star::chart::ChartDataPointProperties
Included Services inherited from ChartDataPointProperties
service | com::sun::star::drawing::FillProperties
| This service has to be supported for data points that can be filled.
service | com::sun::star::drawing::LineProperties
service | com::sun::star::style::CharacterProperties
| These properties affect the characters of data captions if those are displayed.
service | com::sun::star::xml::UserDefinedAttributesSupplier
| If ChartDataPointProperties may be stored as XML element, this service should be supported in order to preserve unparsed XML attributes.
service | com::sun::star::chart::Chart3DBarProperties
| is only available if the chart is of type BarDiagram and Dim3DDiagram and the property ChartDataPointProperties::Dim3D is set to `TRUE`.

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
Exported Interfaces inherited from ChartDataPointProperties
interface | com::sun::star::beans::XPropertySet
Exported Interfaces inherited from Chart3DBarProperties
interface | com::sun::star::beans::XPropertySet

## Public Attributes
long | SegmentOffset
| reflects the offset of a pie segment in percent of the radius.
Public Attributes inherited from ChartDataPointProperties
long | DataCaption
| specifies how the captions of data points are displayed.
string | LabelSeparator
| specifies a string that is used to separate the parts of a data label (caption)
long | NumberFormat
| specifies a number format for the display of the value in the data label
long | PercentageNumberFormat
| specifies a number format for the display of the percentage value in the data label
long | LabelPlacement
| specifies a relative position for the data label
long | SymbolType
| specifies the type of symbols if the current chart type supports the usage of symbols.
string | SymbolBitmapURL
| In charts that support symbols, you can set this property to any valid URL that points to a graphic file.
long | SegmentOffset
| the offset by which pie segments in a PieDiagram are dragged outside from the center.
boolean | TextWordWrap
| specifies if the text of a data label (caption) must be wrapped
com::sun::star::graphic::XGraphic | SymbolBitmap
| In charts that support symbols, you can set this property to a graphic object.
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line.
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line.
string | LineDashName
| This property contains the name of the dash of the line.
com::sun::star::util::Color | LineColor
| This property contains the line color.
short | LineTransparence
| This property contains the extent of transparency.
long | LineWidth
| This property contains the width of the line in 1/100th mm.
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines.
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines.
string | LineStartName
| This property contains the name of the line start poly polygon Bezier.
string | LineEndName
| This property contains the name of the line end poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier.
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon.
long | LineStartWidth
| This property contains the width of the line start polygon.
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon.
long | LineEndWidth
| This property contains the width of the line end polygon.
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the style of the font.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character by automatic hyphenation.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.

## Additional Inherited Members
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Attributes inherited from FillProperties
FillStyle | FillStyle
| This enumeration selects the style the area will be filled with.
com::sun::star::util::Color | FillColor
| If the property FillStyle is set to FillStyle::SOLID, this is the color used.
short | FillTransparence
| This is the transparence of the filled area.
string | FillTransparenceGradientName
| If a gradient is used for transparency, this is the name of the used transparence gradient style or it is empty.
com::sun::star::awt::Gradient | FillTransparenceGradient
| This describes the transparency of the fill area as a gradient.
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the used fill gradient style.
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used.
string | FillHatchName
| If the property FillStyle is set to FillStyle::HATCH, this is the name of the used fill hatch style.
Hatch | FillHatch
| If the property FillStyle is set to FillStyle::HATCH, this describes the hatch used.
boolean | FillBackground
| if this is `TRUE`, the transparent background of a hatch filled area is drawn in the current background color.
string | FillBitmapName
| If the property FillStyle is set to FillStyle::BITMAP, this is the name of the used fill bitmap style.
com::sun::star::awt::XBitmap | FillBitmap
| If the property FillStyle is set to FillStyle::BITMAP, this is the bitmap used.
string | FillBitmapURL
| If the property FillStyle is set to FillStyle::BITMAP, this is a URL to the bitmap used.
short | FillBitmapPositionOffsetX
| This is the horizontal offset where the tile starts.
short | FillBitmapPositionOffsetY
| This is the vertical offset where the tile starts.
short | FillBitmapOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap.
short | FillBitmapOffsetY
| Every second row of tiles is moved the given percent of the height of the bitmap.
RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value.
long | FillBitmapSizeX
| This is the width of the tile for filling.
long | FillBitmapSizeY
| This is the height of the tile for filling.
BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap.
boolean | FillBitmapStretch
| if set, the fill bitmap is stretched to fill the area of the shape.
boolean | FillBitmapTile
| if set, the fill bitmap is repeated to fill the area of the shape.
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object.
boolean | FillUseSlideBackground
| If this is `TRUE`, and FillStyle is FillStyle::NONE: The area displays the slide background.
Protected Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line.
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line.
string | LineDashName
| This property contains the name of the dash of the line.
com::sun::star::util::Color | LineColor
| This property contains the line color.
short | LineTransparence
| This property contains the extent of transparency.
long | LineWidth
| This property contains the width of the line in 1/100th mm.
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines.
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines.
string | LineStartName
| This property contains the name of the line start poly polygon Bezier.
string | LineEndName
| This property contains the name of the line end poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier.
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon.
long | LineStartWidth
| This property contains the width of the line start polygon.
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon.
long | LineEndWidth
| This property contains the width of the line end polygon.
Protected Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the style of the font.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character by automatic hyphenation.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.
Protected Attributes inherited from Chart3DBarProperties
long | SolidType
| Specifies the solid shape of a data point.

## Detailed Description

specifies all the properties for the graphic object of a pie segment.

See also
  PieDiagram

Developers Guide
  Charts - Pie Charts

## Exported Interfaces

## ◆ com::sun::star::chart::ChartDataPointProperties

service com::sun::star::chart::ChartDataPointProperties

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## Member Data Documentation

## ◆ SegmentOffset

long SegmentOffset
| property

reflects the offset of a pie segment in percent of the radius.

The default value for all the segments of a PieDiagram is 0. If you change this value from 0 to 100 the segment is pulled out from the center by its radius.

Currently this property is supported by two dimensional pie diagrams only.

The documentation for this service was generated from the following files:

- com/sun/star/chart/ChartPieSegmentProperties.idl
- /build/libreoffice-still/src/libreoffice-24.2.6.2/odk/docs/idl/generated_idl_chapter_refs.idl